/*
 * Copyright (C) 2010 Canonical, Ltd.
 *
 * This library is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License
 * version 3.0 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3.0 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library. If not, see
 * <http://www.gnu.org/licenses/>.
 *
 * Authored by Mikkel Kamstrup Erlandsen <mikkel.kamstrup@canonical.com>
 */

/**
 * SECTION:dee
 * @short_description: A single-include header
 * @include: dee.h
 *
 */

#ifndef _HAVE_DEE_H_
#define _HAVE_DEE_H_

#define _DEE_H_INSIDE

#include <dee-peer.h>
#include <dee-server.h>
#include <dee-client.h>
#include <dee-model.h>
#include <dee-model-reader.h>
#include <dee-serializable-model.h>
#include <dee-proxy-model.h>
#include <dee-sequence-model.h>
#include <dee-shared-model.h>
#include <dee-filter-model.h>
#include <dee-filter.h>
#include <dee-index.h>
#include <dee-hash-index.h>
#include <dee-tree-index.h>
#include <dee-term-list.h>
#include <dee-result-set.h>
#include <dee-analyzer.h>
#include <dee-text-analyzer.h>
#include <dee-serializable.h>
#include <dee-resource-manager.h>
#include <dee-file-resource-manager.h>
#include <dee-transaction.h>

#undef _DEE_H_INSIDE

#endif /* _HAVE_DEE_H_ */
